Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.m4.utils
Class InterM4ColumnForeignKeyMember

    java.lang.Object
      edu.udo.cs.miningmart.m4.utils.InterM4Communicator
          edu.udo.cs.miningmart.m4.utils.InterM4ColumnForeignKeyMember

public class InterM4ColumnForeignKeyMember
extends InterM4Communicator

Helper class for standard communication between `Column` (container) and `KeyMember`.

Version:
  $Id: InterM4ColumnForeignKeyMember.java,v 1.3 2006/04/11 14:10:10 euler Exp $
Author:
  Martin Scholz

Constructor Summary
`InterM4ColumnForeignKeyMember()`

Method Summary
`java.util.Collection` | `getCollection(java.lang.Object column)`
`java.lang.Object` | `getSingleRef(M4Object keymem)`
`void` | `setSingleRefPrimitive(M4Object keymem, java.lang.Object column)`

Methods inherited from class edu.udo.cs.miningmart.m4.utils.InterM4Communicator
`add, checkNameExists, remove, setCollectionTo, updateReferenceTo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InterM4ColumnForeignKeyMember

    public InterM4ColumnForeignKeyMember()

Method Detail

### getSingleRef

    public java.lang.Object getSingleRef(M4Object keymem)
                                  throws M4Exception

  Parameters:
    `keymem` - a `KeyMember`
  Returns:
    the `KeyMember`'s foreign key `Column`
  Throws:
    `M4Exception`
  See Also:
    `InterM4Communicator#getSingleRef(M4Object)`

### getCollection

    public java.util.Collection getCollection(java.lang.Object column)
                                       throws M4Exception

  Parameters:
    `column` - a `Column`
  Returns:
    the `Column`'s `Collection`
  Throws:
    `M4Exception`
  See Also:
    `InterM4Communicator#getCollection(M4Object)`

### setSingleRefPrimitive

    public void setSingleRefPrimitive(M4Object keymem,
                                      java.lang.Object column)
                               throws M4Exception

  Parameters:
    `keymem` - a `KeyMember`
    `column` - a `Column` to be set as the foreign key
  Throws:
    `M4Exception`
  See Also:
    `InterM4Communicator#setSingleRefPrimitive(M4Object, M4Object)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005